Normalizes the node

- « DOMNode::lookupPrefix

- DOMNode::removeChild »

- PHP Manual
- DOMNode
- Normalizes the node

# DOMNode::normalize

(PHP 5, PHP 7, PHP 8)

DOMNode::normalize — Normalizes the node

### Description

public DOMNode::normalize(): void

Remove empty text nodes and merge adjacent text nodes in this node and all its children.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### See Also

- » The DOM Specification
- DOMDocument::normalizeDocument() - Normalizes the document